Bug 1124982 - Help text for SSL is incorrect regarding passphrase on the cert
Summary: Help text for SSL is incorrect regarding passphrase on the cert
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-packstack
Version: Juno
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: Liberty
Assignee: Martin Magr
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 19:15 UTC by Rob Crittenden
Modified: 2017-06-18 06:21 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-18 06:21:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 239496 None None None Never
OpenStack gerrit 239680 None None None Never
OpenStack gerrit 239682 None None None Never
OpenStack gerrit 239687 None None None Never

Description Rob Crittenden 2014-07-30 19:15:56 UTC
Description of problem:

This is pedantic, but the bit about not requiring a passphrase should be moved to os-ssl-key. It is the key that can have a passphrase, not the cert.

# packstack --help
[snip]
  SSL Config parameters:
    --os-ssl-cert=OS_SSL_CERT
                        PEM encoded certificate to be used for ssl on the
                        https server, leave blank if one should be generated,
                        this certificate should not require a passphrase
    --os-ssl-key=OS_SSL_KEY
                        SSL keyfile corresponding to the certificate if one
                        was entered

Version-Release number of selected component (if applicable):

openstack-packstack-2014.1.1-0.36.dev1220.el7ost

Comment 3 Ivan Chavero 2015-10-26 23:44:23 UTC
can we have acks for this bug please?

Comment 5 Mike McCune 2016-03-28 23:08:19 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 7 Christopher Brown 2017-06-17 17:37:50 UTC
LGTM now so this can be closed?

    --os-ssl-cert=OS_SSL_CERT
                        PEM-encoded certificate to be used for SSL connections
                        on the https server. To generate a certificate, leave
                        blank.
    --os-ssl-key=OS_SSL_KEY
                        SSL keyfile corresponding to the certificate if one
                        was specified. The certificate should not require a
                        passphrase.


Note You need to log in before you can comment on or make changes to this bug.